Upgrade subscription
curl --request POST \
--url https://api.veryfront.com/account/subscription/upgrade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "pro",
"cycle": "monthly",
"quantity": 3,
"server_quantity": 2,
"sandbox_quantity": 2,
"success_url": "<string>",
"cancel_url": "<string>"
}
'import requests
url = "https://api.veryfront.com/account/subscription/upgrade"
payload = {
"type": "pro",
"cycle": "monthly",
"quantity": 3,
"server_quantity": 2,
"sandbox_quantity": 2,
"success_url": "<string>",
"cancel_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'pro',
cycle: 'monthly',
quantity: 3,
server_quantity: 2,
sandbox_quantity: 2,
success_url: '<string>',
cancel_url: '<string>'
})
};
fetch('https://api.veryfront.com/account/subscription/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"amount": "<string>",
"checkout_url": "<string>",
"error": "<string>"
}Upgrade subscription
Creates a checkout session to upgrade a subscription.
POST
/
account
/
subscription
/
upgrade
Upgrade subscription
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Subscription tier to upgrade to.
Available options:
free, pro, enterprise Example:
"pro"
Billing cycle
Available options:
monthly, yearly Example:
"monthly"
Seat quantity for licensed subscriptions
Required range:
x >= 1Example:
3
Recurring server add-on quantity
Required range:
x >= 0Example:
2
Recurring sandbox add-on quantity
Required range:
x >= 0Example:
2
URL to redirect to after successful payment
URL to redirect to if payment is cancelled
⌘I